{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Everhour","colors":{"primary":"#4caf50","light":"#4caf50","dark":"#349bfc"},"logo":{"light":"https://mintcdn.com/everhour/GOMjgl5g6oFagMmw/images/everhour_logo.png?fit=max\u0026auto=format\u0026n=GOMjgl5g6oFagMmw\u0026q=85\u0026s=28940543c48e552cfd4a60bbcbde0cd7","dark":"https://mintcdn.com/everhour/GOMjgl5g6oFagMmw/images/everhour_logo.png?fit=max\u0026auto=format\u0026n=GOMjgl5g6oFagMmw\u0026q=85\u0026s=28940543c48e552cfd4a60bbcbde0cd7"},"favicon":"https://mintcdn.com/everhour/Oubq6RbIwdLmh0Ca/images/favicon.png?fit=max\u0026auto=format\u0026n=Oubq6RbIwdLmh0Ca\u0026q=85\u0026s=51bfddc3cb030bf11f79e0b9ffed92cc","api":{"openapi":"openapi.json","playground":{"display":"interactive"}},"background":{"decoration":"windows"},"navbar":{"links":[{"href":"https://support.everhour.com/","label":"Support"}],"primary":{"type":"button","label":"Try Free","href":"https://everhour.com/signup"}},"search":{"prompt":"Search or ask..."},"fonts":{"heading":{"family":"Lato"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"everhour","hasAudioNarration":false,"actualSubdomain":"everhour","customDomains":["developers.everhour.com"],"gitSource":{"type":"github","owner":"everhour","repo":"everhour-developers","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":false},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6af059762cd455113583d8ee","clientVersion":"0.0.4088","searchFilterCounts":[{"language":"default","tag":"API Reference","count":101},{"language":"default","tag":"Endpoints","count":101},{"language":"default","tag":"Documentation","count":16},{"language":"default","tag":"Projects","count":13},{"language":"default","tag":"Expenses","count":12},{"language":"default","tag":"Tasks","count":10},{"language":"default","tag":"Time Off","count":8},{"language":"default","tag":"Clients","count":7},{"language":"default","tag":"Invoices","count":7},{"language":"default","tag":"Time Records","count":7}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":true},"customCss":[],"page":{"pagePath":"api-reference/expenses/create-expense","slug":"/api-reference/expenses/create-expense","pageMetadata":{"title":"Create Expense","description":"Log a new expense. Amounts are in cents (see [Concepts](/concepts)); attach files first via `POST /attachments` and reference their IDs in the request body.","deprecated":null,"version":null,"openapi":"/openapi.json post /expenses","href":"/api-reference/expenses/create-expense","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n a: \"a\",\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"Log a new expense. Amounts are in cents (see \", _jsx(_components.a, {\n href: \"/concepts\",\n children: \"Concepts\"\n }), \"); attach files first via \", _jsx(_components.code, {\n children: \"POST /attachments\"\n }), \" and reference their IDs in the request body.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Expense","description":"Log a new expense. Amounts are in cents (see [Concepts](/concepts)); attach files first via `POST /attachments` and reference their IDs in the request body.","deprecated":null,"version":null,"openapi":"/openapi.json post /expenses","href":"/api-reference/expenses/create-expense","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Expenses"],"summary":"Create Expense","requestBody":"5a0db813-4ab9-4f65-9ba9-d007b0123513","responses":{"201":"e7809148-8524-41b4-9066-296513505f20","401":"164ee58e-7bad-48f3-8b38-f9dcbba4f43f"},"operationId":"createExpense","description":"Log a new expense. Amounts are in cents (see [Concepts](/concepts)); attach files first via `POST /attachments` and reference their IDs in the request body.","method":"post","type":"path","servers":["3190f06c-9abd-4705-83fc-4a9deebf52e5"],"security":["f58c9eda-cf2c-465f-8010-301ac893e179"],"path":"/expenses","baseUrlOptions":["https://api.everhour.com"],"title":"Create Expense","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"category":{"type":"integer","description":"Expense category ID","example":236046,"isRequired":true,"uniqueKey":"category","typeLabel":"integer"},"date":{"type":"string","example":"2019-04-04","isRequired":true,"uniqueKey":"date","typeLabel":"string"},"amount":{"type":"integer","description":"Amount in cents.","example":2278,"uniqueKey":"amount","typeLabel":"integer"},"attachments":{"type":"array","items":{"type":"integer","uniqueKey":"attachments.items.[INDEX]","typeLabel":"integer"},"description":"Attachment IDs to link.","uniqueKey":"attachments","typeLabel":"integer[]"},"billable":{"type":"boolean","example":true,"uniqueKey":"billable","typeLabel":"boolean"},"details":{"type":"string","example":"Transportation notes","uniqueKey":"details","typeLabel":"string"},"project":{"type":"string","example":"as:333045610521453","uniqueKey":"project","typeLabel":"string"},"quantity":{"type":"number","example":17,"uniqueKey":"quantity","typeLabel":"number"},"user":{"type":"integer","example":6,"uniqueKey":"user","typeLabel":"integer"},"type":{"type":"string","enum":["separate","billable","cost"],"description":"Expense type.","uniqueKey":"type","typeLabel":"enum\u003cstring>"}},"required":["category","date"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"category":236046,"date":"2019-04-04","amount":2278,"attachments":[123],"billable":true,"details":"Transportation notes","project":"as:333045610521453","quantity":17,"user":6}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"e7809148-8524-41b4-9066-296513505f20":{"description":"Created","content":{"application/json":{"schema":{"type":"object","properties":{"amount":{"type":"integer","example":2278,"uniqueKey":"amount","typeLabel":"integer"},"attachments":{"type":"array","items":{"type":"object","properties":{"id":{"type":"number","example":514,"uniqueKey":"attachments.items.[INDEX].id","typeLabel":"number"},"name":{"type":"string","example":"avatar.jpg","uniqueKey":"attachments.items.[INDEX].name","typeLabel":"string"},"token":{"type":"string","example":"9a04b8a1fb99cbfadf3386ad6a338c14","uniqueKey":"attachments.items.[INDEX].token","typeLabel":"string"}},"uniqueKey":"attachments.items.[INDEX]","typeLabel":"object"},"uniqueKey":"attachments","typeLabel":"object[]"},"billable":{"type":"boolean","example":true,"uniqueKey":"billable","typeLabel":"boolean"},"category":{"type":"number","example":236046,"uniqueKey":"category","typeLabel":"number"},"date":{"type":"string","example":"2019-04-04","uniqueKey":"date","typeLabel":"string"},"details":{"type":"string","example":"Transportation notes","uniqueKey":"details","typeLabel":"string"},"id":{"type":"number","example":234718,"uniqueKey":"id","typeLabel":"number"},"project":{"type":"string","example":"as:333045610521453","uniqueKey":"project","typeLabel":"string"},"quantity":{"type":"number","example":17,"uniqueKey":"quantity","typeLabel":"number"},"user":{"type":"number","example":6,"uniqueKey":"user","typeLabel":"number"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"amount":2278,"attachments":[{"id":514,"name":"avatar.jpg","token":"9a04b8a1fb99cbfadf3386ad6a338c14"}],"billable":true,"category":236046,"date":"2019-04-04","details":"Transportation notes","id":234718,"project":"as:333045610521453","quantity":17,"user":6}}},"exampleType":"generated"}},"exampleType":"generated"},"164ee58e-7bad-48f3-8b38-f9dcbba4f43f":{"description":"Unauthorized","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"f58c9eda-cf2c-465f-8010-301ac893e179":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-Api-Key","scopes":[]}}},"servers":{"3190f06c-9abd-4705-83fc-4a9deebf52e5":{"url":"https://api.everhour.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"X-Api-Key","scopes":[]},"schema":{"title":"X-Api-Key","type":"string","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"ApiKeyAuth","name":"X-Api-Key"}],"title":"ApiKeyAuth"}]},"originalFileLocation":"openapi.json"},"subdomain":"everhour","siteName":"Everhour","title":"Create Expense - Everhour","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-09-17T17:03:56.803Z","originalFileLocation":"api-reference/expenses/create-expense.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Log a new expense. Amounts are in cents (see Concepts); attach files first via POST /attachments and reference their IDs in the request body.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Everhour\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/everhour/K0gb3EtVm-Va5RN2/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/everhour/K0gb3EtVm-Va5RN2/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/everhour/K0gb3EtVm-Va5RN2/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/everhour/K0gb3EtVm-Va5RN2/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/everhour/K0gb3EtVm-Va5RN2/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/everhour/K0gb3EtVm-Va5RN2/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/everhour/K0gb3EtVm-Va5RN2/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/everhour/K0gb3EtVm-Va5RN2/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/everhour/K0gb3EtVm-Va5RN2/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Expense - Everhour\">\u003cmeta data-mint-head property=\"og:description\" content=\"Log a new expense. Amounts are in cents (see Concepts); attach files first via POST /attachments and reference their IDs in the request body.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Everhour\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developers.everhour.com/api-reference/expenses/create-expense\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://everhour.mintlify.site/_mintlify/api/og/v2?division=Expenses\u0026amp;title=Create+Expense\u0026amp;description=Log+a+new+expense.+Amounts+are+in+cents+%28see+%5BConcepts%5D%28%2Fconcepts%29%29%3B+attach+files+first+via+%60POST+%2Fattachments%60+and+reference+their+IDs+in+the+request+body.\u0026amp;theme=3e96efcd325b0a1de2bd0119\u0026amp;signature=b2a61e71f4ca467766d6a5958a59e83f68239b786cc5e5d7bfc59ebc36452ca9\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Expense - Everhour\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Log a new expense. Amounts are in cents (see Concepts); attach files first via POST /attachments and reference their IDs in the request body.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://everhour.mintlify.site/_mintlify/api/og/v2?division=Expenses\u0026amp;title=Create+Expense\u0026amp;description=Log+a+new+expense.+Amounts+are+in+cents+%28see+%5BConcepts%5D%28%2Fconcepts%29%29%3B+attach+files+first+via+%60POST+%2Fattachments%60+and+reference+their+IDs+in+the+request+body.\u0026amp;theme=3e96efcd325b0a1de2bd0119\u0026amp;signature=b2a61e71f4ca467766d6a5958a59e83f68239b786cc5e5d7bfc59ebc36452ca9\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/everhour/K0gb3EtVm-Va5RN2/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Everhour\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#4caf50\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developers.everhour.com/api-reference/expenses/create-expense\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/expenses/create-expense.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developers.everhour.com/#organization\",\"name\":\"Everhour\",\"url\":\"https://developers.everhour.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/everhour/GOMjgl5g6oFagMmw/images/everhour_logo.png?fit=max\u0026auto=format\u0026n=GOMjgl5g6oFagMmw\u0026q=85\u0026s=28940543c48e552cfd4a60bbcbde0cd7\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developers.everhour.com#website\",\"name\":\"Everhour\",\"url\":\"https://developers.everhour.com\",\"publisher\":{\"@id\":\"https://developers.everhour.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developers.everhour.com/api-reference/expenses/create-expense#webpage\",\"url\":\"https://developers.everhour.com/api-reference/expenses/create-expense\",\"name\":\"Create Expense\",\"description\":\"Log a new expense. Amounts are in cents (see Concepts); attach files first via POST /attachments and reference their IDs in the request body.\",\"dateModified\":\"2026-09-17T17:03:56.803Z\",\"isPartOf\":{\"@id\":\"https://developers.everhour.com#website\"},\"breadcrumb\":{\"@id\":\"https://developers.everhour.com/api-reference/expenses/create-expense#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developers.everhour.com/api-reference/expenses/create-expense#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Endpoints\",\"item\":\"https://developers.everhour.com/api-reference/clients/create-client\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Expenses\",\"item\":\"https://developers.everhour.com/api-reference/expenses/add-attachment-to-expense\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create Expense\",\"item\":\"https://developers.everhour.com/api-reference/expenses/create-expense\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developers.everhour.com/api-reference/expenses/create-expense#apireference\",\"headline\":\"Create Expense\",\"name\":\"Create Expense\",\"description\":\"Log a new expense. Amounts are in cents (see Concepts); attach files first via POST /attachments and reference their IDs in the request body.\",\"url\":\"https://developers.everhour.com/api-reference/expenses/create-expense\",\"mainEntityOfPage\":{\"@id\":\"https://developers.everhour.com/api-reference/expenses/create-expense#webpage\"},\"dateModified\":\"2026-09-17T17:03:56.803Z\",\"publisher\":{\"@id\":\"https://developers.everhour.com/#organization\"},\"isPartOf\":{\"@id\":\"https://developers.everhour.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Everhour\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Everhour","nav":{"global":null,"tabs":[{"tab":"Documentation","icon":"book-open-cover","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","icon":"layer-group","groups":[{"group":"Endpoints","pages":[{"group":"Clients","expanded":false,"pages":[{"title":"Create Client","deprecated":null,"version":null,"openapi":"/openapi.json post /clients","href":"/api-reference/clients/create-client"},{"title":"Delete Client","deprecated":null,"version":null,"openapi":"/openapi.json delete /clients/{client_id}","href":"/api-reference/clients/delete-client"},{"title":"Delete Client Budget","deprecated":null,"version":null,"openapi":"/openapi.json delete /clients/{client_id}/budget","href":"/api-reference/clients/delete-client-budget"},{"title":"Get All Clients","deprecated":null,"version":null,"openapi":"/openapi.json get /clients","href":"/api-reference/clients/get-all-clients"},{"title":"Get Client","deprecated":null,"version":null,"openapi":"/openapi.json get /clients/{client_id}","href":"/api-reference/clients/get-client"},{"title":"Update Client","deprecated":null,"version":null,"openapi":"/openapi.json put /clients/{client_id}","href":"/api-reference/clients/update-client"},{"title":"Update Client Budget","deprecated":null,"version":null,"openapi":"/openapi.json put /clients/{client_id}/budget","href":"/api-reference/clients/update-client-budget"}]},{"group":"Custom Fields","expanded":false,"pages":[{"title":"Create Field in Project","deprecated":null,"version":null,"openapi":"/openapi.json post /projects/{project_id}/fields","href":"/api-reference/custom-fields/create-field-in-project"},{"title":"Delete Field","deprecated":null,"version":null,"openapi":"/openapi.json delete /fields/{field_id}","href":"/api-reference/custom-fields/delete-field"},{"title":"Get Project Fields Configuration","deprecated":null,"version":null,"openapi":"/openapi.json get /projects/{project_id}/fields","href":"/api-reference/custom-fields/get-project-fields-configuration"},{"title":"Reorder Fields","deprecated":null,"version":null,"openapi":"/openapi.json put /projects/{project_id}/fields-order","href":"/api-reference/custom-fields/reorder-fields"},{"title":"Update Field","deprecated":null,"version":null,"openapi":"/openapi.json put /fields/{field_id}","href":"/api-reference/custom-fields/update-field"}]},{"group":"Expenses","expanded":false,"pages":[{"title":"Add Attachment To Expense","deprecated":null,"version":null,"openapi":"/openapi.json post /expenses/{expense_id}/attachments","href":"/api-reference/expenses/add-attachment-to-expense"},{"title":"Create Attachment","deprecated":null,"version":null,"openapi":"/openapi.json post /attachments","href":"/api-reference/expenses/create-attachment"},{"title":"Create Category","description":"Create a new expense category.","deprecated":null,"version":null,"openapi":"/openapi.json post /expenses/categories","href":"/api-reference/expenses/create-category"},{"title":"Create Expense","deprecated":null,"version":null,"openapi":"/openapi.json post /expenses","href":"/api-reference/expenses/create-expense"},{"title":"Delete Attachment","description":"Delete an attachment and its underlying file.","deprecated":null,"version":null,"openapi":"/openapi.json delete /attachments/{attachment_id}","href":"/api-reference/expenses/delete-attachment"},{"title":"Delete Category","deprecated":null,"version":null,"openapi":"/openapi.json delete /expenses/categories/{category_id}","href":"/api-reference/expenses/delete-category"},{"title":"Delete Expense","deprecated":null,"version":null,"openapi":"/openapi.json delete /expenses/{expense_id}","href":"/api-reference/expenses/delete-expense"},{"title":"Download Attachment","deprecated":null,"version":null,"openapi":"/openapi.json get /attachments/{attachment_token}/download","href":"/api-reference/expenses/download-attachment"},{"title":"Get All Categories","deprecated":null,"version":null,"openapi":"/openapi.json get /expenses/categories","href":"/api-reference/expenses/get-all-categories"},{"title":"Get All Expenses","deprecated":null,"version":null,"openapi":"/openapi.json get /expenses","href":"/api-reference/expenses/get-all-expenses"},{"title":"Update Category","deprecated":null,"version":null,"openapi":"/openapi.json put /expenses/categories/{category_id}","href":"/api-reference/expenses/update-category"},{"title":"Update Expense","deprecated":null,"version":null,"openapi":"/openapi.json put /expenses/{expense_id}","href":"/api-reference/expenses/update-expense"}]},{"group":"Invoices","expanded":false,"pages":[{"title":"Create Invoice","deprecated":null,"version":null,"openapi":"/openapi.json post /clients/{client_id}/invoices","href":"/api-reference/invoices/create-invoice"},{"title":"Delete Invoice","deprecated":null,"version":null,"openapi":"/openapi.json delete /invoices/{invoice_id}","href":"/api-reference/invoices/delete-invoice"},{"title":"Export Invoice to Xero/QB/FB","deprecated":null,"version":null,"openapi":"/openapi.json post /invoices/{invoice_id}/export","href":"/api-reference/invoices/export-invoice-to-xeroqbfb"},{"title":"Get All Invoices","deprecated":null,"version":null,"openapi":"/openapi.json get /invoices","href":"/api-reference/invoices/get-all-invoices"},{"title":"Get Invoice","deprecated":null,"version":null,"openapi":"/openapi.json get /invoices/{invoice_id}","href":"/api-reference/invoices/get-invoice"},{"title":"Refresh Invoice Line Items","deprecated":null,"version":null,"openapi":"/openapi.json post /invoices/{invoice_id}/reset-time","href":"/api-reference/invoices/refresh-invoice-line-items"},{"title":"Update Invoice","deprecated":null,"version":null,"openapi":"/openapi.json put /invoices/{invoice_id}","href":"/api-reference/invoices/update-invoice"}]},{"group":"Projects","expanded":false,"pages":[{"title":"Archive/Unarchive Project","deprecated":null,"version":null,"openapi":"/openapi.json patch /projects/{project_id}/archive","href":"/api-reference/projects/archiveunarchive-project"},{"title":"Create Project","deprecated":null,"version":null,"openapi":"/openapi.json post /projects","href":"/api-reference/projects/create-project"},{"title":"Create Section","deprecated":null,"version":null,"openapi":"/openapi.json post /projects/{project_id}/sections","href":"/api-reference/projects/create-section"},{"title":"Delete Project","deprecated":null,"version":null,"openapi":"/openapi.json delete /projects/{project_id}","href":"/api-reference/projects/delete-project"},{"title":"Delete Section","deprecated":null,"version":null,"openapi":"/openapi.json delete /sections/{section_id}","href":"/api-reference/projects/delete-section"},{"title":"Get All Projects","deprecated":null,"version":null,"openapi":"/openapi.json get /projects","href":"/api-reference/projects/get-all-projects"},{"title":"Get Project","deprecated":null,"version":null,"openapi":"/openapi.json get /projects/{project_id}","href":"/api-reference/projects/get-project"},{"title":"Get Project Sections","deprecated":null,"version":null,"openapi":"/openapi.json get /projects/{project_id}/sections","href":"/api-reference/projects/get-project-sections"},{"title":"Get Section","deprecated":null,"version":null,"openapi":"/openapi.json get /sections/{section_id}","href":"/api-reference/projects/get-section"},{"title":"Sync Integration Project","deprecated":null,"version":null,"openapi":"/openapi.json post /projects/{project_id}/sync","href":"/api-reference/projects/sync-integration-project"},{"title":"Update Project","deprecated":null,"version":null,"openapi":"/openapi.json put /projects/{project_id}","href":"/api-reference/projects/update-project"},{"title":"Update Project Billing/Budget","deprecated":null,"version":null,"openapi":"/openapi.json put /projects/{project_id}/billing","href":"/api-reference/projects/update-project-billingbudget"},{"title":"Update Section","deprecated":null,"version":null,"openapi":"/openapi.json put /sections/{section_id}","href":"/api-reference/projects/update-section"}]},{"group":"Reports","expanded":false,"pages":[{"title":"Clients Report","deprecated":null,"version":null,"openapi":"/openapi.json get /dashboards/clients","href":"/api-reference/reports/clients-report"},{"title":"Estimates Report (deprecated)","deprecated":null,"version":null,"openapi":"/openapi.json get /team/estimate/export","href":"/api-reference/reports/estimates-report-deprecated"},{"title":"Projects Report","deprecated":null,"version":null,"openapi":"/openapi.json get /dashboards/projects","href":"/api-reference/reports/projects-report"},{"title":"Time Report (deprecated)","deprecated":null,"version":null,"openapi":"/openapi.json get /team/time/export","href":"/api-reference/reports/time-report-deprecated"},{"title":"Users Report","deprecated":null,"version":null,"openapi":"/openapi.json get /dashboards/users","href":"/api-reference/reports/users-report"}]},{"group":"Schedule","expanded":false,"pages":[{"title":"Create Assignment","deprecated":null,"version":null,"openapi":"/openapi.json post /resource-planner/assignments","href":"/api-reference/schedule/create-assignment"},{"title":"Delete Assignment","deprecated":null,"version":null,"openapi":"/openapi.json delete /resource-planner/assignments/{assignment_id}","href":"/api-reference/schedule/delete-assignment"},{"title":"Get All Assignments","deprecated":null,"version":null,"openapi":"/openapi.json get /resource-planner/assignments","href":"/api-reference/schedule/get-all-assignments"},{"title":"Update Assignment","deprecated":null,"version":null,"openapi":"/openapi.json put /resource-planner/assignments/{assignment_id}","href":"/api-reference/schedule/update-assignment"}]},{"group":"Tasks","expanded":false,"pages":[{"title":"Create Task","deprecated":null,"version":null,"openapi":"/openapi.json post /projects/{project_id}/tasks","href":"/api-reference/tasks/create-task"},{"title":"Delete Task","deprecated":null,"version":null,"openapi":"/openapi.json delete /tasks/{task_id}","href":"/api-reference/tasks/delete-task"},{"title":"Delete Task Estimate","deprecated":null,"version":null,"openapi":"/openapi.json delete /tasks/{task_id}/estimate","href":"/api-reference/tasks/delete-task-estimate"},{"title":"Get Project Tasks","deprecated":null,"version":null,"openapi":"/openapi.json get /projects/{project_id}/tasks","href":"/api-reference/tasks/get-project-tasks"},{"title":"Get Task","deprecated":null,"version":null,"openapi":"/openapi.json get /tasks/{task_id}","href":"/api-reference/tasks/get-task"},{"title":"Search Project Tasks","deprecated":null,"version":null,"openapi":"/openapi.json get /projects/{project_id}/tasks/search","href":"/api-reference/tasks/search-project-tasks"},{"title":"Search Tasks","deprecated":null,"version":null,"openapi":"/openapi.json get /tasks/search","href":"/api-reference/tasks/search-tasks"},{"title":"Update Task","deprecated":null,"version":null,"openapi":"/openapi.json put /tasks/{task_id}","href":"/api-reference/tasks/update-task"},{"title":"Update Task Billing","deprecated":null,"version":null,"openapi":"/openapi.json put /tasks/{task_id}/billing","href":"/api-reference/tasks/update-task-billing"},{"title":"Update Task Estimate","deprecated":null,"version":null,"openapi":"/openapi.json put /tasks/{task_id}/estimate","href":"/api-reference/tasks/update-task-estimate"}]},{"group":"Time Off","expanded":false,"pages":[{"title":"Create Allocation","deprecated":null,"version":null,"openapi":"/openapi.json post /allocations","href":"/api-reference/time-off/create-allocation"},{"title":"Create Time Off Type","deprecated":null,"version":null,"openapi":"/openapi.json post /resource-planner/time-off-types","href":"/api-reference/time-off/create-time-off-type"},{"title":"Delete Allocation","deprecated":null,"version":null,"openapi":"/openapi.json delete /allocations/{allocation_id}","href":"/api-reference/time-off/delete-allocation"},{"title":"Delete Time Off Type","deprecated":null,"version":null,"openapi":"/openapi.json delete /resource-planner/time-off-types/{type_id}","href":"/api-reference/time-off/delete-time-off-type"},{"title":"Get All Allocations","deprecated":null,"version":null,"openapi":"/openapi.json get /allocations","href":"/api-reference/time-off/get-all-allocations"},{"title":"Get Time Off Types","deprecated":null,"version":null,"openapi":"/openapi.json get /resource-planner/time-off-types","href":"/api-reference/time-off/get-time-off-types"},{"title":"Update Allocation","deprecated":null,"version":null,"openapi":"/openapi.json put /allocations/{allocation_id}","href":"/api-reference/time-off/update-allocation"},{"title":"Update Time Off Type","deprecated":null,"version":null,"openapi":"/openapi.json put /resource-planner/time-off-types/{type_id}","href":"/api-reference/time-off/update-time-off-type"}]},{"group":"Time Records","expanded":false,"pages":[{"title":"Add Time","deprecated":null,"version":null,"openapi":"/openapi.json post /time","href":"/api-reference/time-records/add-time"},{"title":"Delete Time Record","deprecated":null,"version":null,"openapi":"/openapi.json delete /time/{time_id}","href":"/api-reference/time-records/delete-time-record"},{"title":"Get All Time Records","deprecated":null,"version":null,"openapi":"/openapi.json get /team/time","href":"/api-reference/time-records/get-all-time-records"},{"title":"Get Project Time Records","deprecated":null,"version":null,"openapi":"/openapi.json get /projects/{project_id}/time","href":"/api-reference/time-records/get-project-time-records"},{"title":"Get Task Time Records","deprecated":null,"version":null,"openapi":"/openapi.json get /tasks/{task_id}/time","href":"/api-reference/time-records/get-task-time-records"},{"title":"Get User Time Records","deprecated":null,"version":null,"openapi":"/openapi.json get /users/{user_id}/time","href":"/api-reference/time-records/get-user-time-records"},{"title":"Update Time Record","deprecated":null,"version":null,"openapi":"/openapi.json put /time/{time_id}","href":"/api-reference/time-records/update-time-record"}]},{"group":"Timecards","expanded":false,"pages":[{"title":"Clock In","deprecated":null,"version":null,"openapi":"/openapi.json post /users/{user_id}/timecards/clock-in","href":"/api-reference/timecards/clock-in"},{"title":"Clock Out","deprecated":null,"version":null,"openapi":"/openapi.json post /users/{user_id}/timecards/clock-out","href":"/api-reference/timecards/clock-out"},{"title":"Delete Timecard","deprecated":null,"version":null,"openapi":"/openapi.json delete /users/{user_id}/timecards/{date}","href":"/api-reference/timecards/delete-timecard"},{"title":"Get All Timecards","deprecated":null,"version":null,"openapi":"/openapi.json get /timecards","href":"/api-reference/timecards/get-all-timecards"},{"title":"Get Timecard","deprecated":null,"version":null,"openapi":"/openapi.json get /users/{user_id}/timecards/{date}","href":"/api-reference/timecards/get-timecard"},{"title":"Get User Timecards","deprecated":null,"version":null,"openapi":"/openapi.json get /users/{user_id}/timecards","href":"/api-reference/timecards/get-user-timecards"},{"title":"Update Timecard","deprecated":null,"version":null,"openapi":"/openapi.json put /users/{user_id}/timecards/{date}","href":"/api-reference/timecards/update-timecard"}]},{"group":"Timers","expanded":false,"pages":[{"title":"Get All Team Timers","deprecated":null,"version":null,"openapi":"/openapi.json get /team/timers","href":"/api-reference/timers/get-all-team-timers"},{"title":"Get Running Timer","deprecated":null,"version":null,"openapi":"/openapi.json get /timers/current","href":"/api-reference/timers/get-running-timer"},{"title":"Start Timer","deprecated":null,"version":null,"openapi":"/openapi.json post /timers","href":"/api-reference/timers/start-timer"},{"title":"Stop Timer","deprecated":null,"version":null,"openapi":"/openapi.json delete /timers/current","href":"/api-reference/timers/stop-timer"}]},{"group":"Timesheets","expanded":false,"pages":[{"title":"Approve or Reject Approval Request","deprecated":null,"version":null,"openapi":"/openapi.json put /timesheets/{timesheet_id}/approval","href":"/api-reference/timesheets/approve-or-reject-approval-request"},{"title":"Approve Week/Request for Approval","deprecated":null,"version":null,"openapi":"/openapi.json post /timesheets/{timesheet_id}/approval","href":"/api-reference/timesheets/approve-weekrequest-for-approval"},{"title":"Discard Your Approval Request","deprecated":null,"version":null,"openapi":"/openapi.json put /timesheets/{timesheet_id}/discard-approval","href":"/api-reference/timesheets/discard-your-approval-request"},{"title":"Get Team Timesheets","deprecated":null,"version":null,"openapi":"/openapi.json get /timesheets","href":"/api-reference/timesheets/get-team-timesheets"},{"title":"Get User Timesheets","deprecated":null,"version":null,"openapi":"/openapi.json get /users/{user_id}/timesheets","href":"/api-reference/timesheets/get-user-timesheets"}]},{"group":"Users","expanded":false,"pages":[{"title":"Get All Users","deprecated":null,"version":null,"openapi":"/openapi.json get /team/users","href":"/api-reference/users/get-all-users"},{"title":"Get Current User","deprecated":null,"version":null,"openapi":"/openapi.json get /users/me","href":"/api-reference/users/get-current-user"}]},{"group":"Webhooks","expanded":false,"pages":[{"title":"Create Webhook","deprecated":null,"version":null,"openapi":"/openapi.json post /hooks","href":"/api-reference/webhooks/create-webhook"},{"title":"Delete Webhook","deprecated":null,"version":null,"openapi":"/openapi.json delete /hooks/{hook_id}","href":"/api-reference/webhooks/delete-webhook"},{"title":"Get All Webhooks","deprecated":null,"version":null,"openapi":"/openapi.json get /hooks","href":"/api-reference/webhooks/get-all-webhooks"},{"title":"Get Webhook","deprecated":null,"version":null,"openapi":"/openapi.json get /hooks/{hook_id}","href":"/api-reference/webhooks/get-webhook"},{"title":"Update Webhook","deprecated":null,"version":null,"openapi":"/openapi.json put /hooks/{hook_id}","href":"/api-reference/webhooks/update-webhook"}]}]}]}]},"basePath":"","title":"Create Expense - Everhour","buildId":"dpl_DTau1J5HqS9UTgVSDwGksstFWtPa","deploymentId":"dpl_DTau1J5HqS9UTgVSDwGksstFWtPa","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-5FCzAcfS.js","utils-SLtAG4EZ.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-2DZi8ZMu.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-D7J3nkzE.js","snippetPresets-D0Alv0AH.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BI4qNJ2c.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BD3uyr8j.js","shallow-D8iEBr5z.js","getApiPlaygroundDisplay-CgNP4lzR.js","CodeSnippet-CX-QHuMs.js","CodeSnippets-VlXE-ZUf.js","Page-D9ithiIZ.js","getPastedJson-DYNQkZ1M.js","icon-CzacdwOi.js","MethodPill-2JVqoYKi.js","DuplicateIcon-_xVXs-U8.js","createIcon-BRHrweLo.js","DynamicMarkdown-mQG_iQiE.js","SectionHeading-DMpJzv8f.js","axios-vUo_bRtp.js","Markdown-5FGIym-8.js","clsx-D-TRO5q5.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CdrJecqK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-CHlcWBLM.js"]}